Package | Class | Deprecated
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.makumba
Class DataDefinitionNotFoundError

    java.lang.Object
      java.lang.Throwable
          java.lang.Error
              org.makumba.MakumbaError
                  org.makumba.DefinitionParseError
                      org.makumba.DataDefinitionParseError
                          org.makumba.DataDefinitionNotFoundError

All Implemented Interfaces:
  Serializable

    public class DataDefinitionNotFoundError

extends DataDefinitionParseError

Error thrown if a data definition cannot be found

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.makumba.DefinitionParseError
`column, components, line, lines, typeName`

Constructor Summary
`DataDefinitionNotFoundError(String expl)`
`DataDefinitionNotFoundError(String typeName, IOException e)`
`DataDefinitionNotFoundError(String typeName, String name)`

Method Summary

Methods inherited from class org.makumba.DefinitionParseError
`add, getMessage, getTypeName, isSingle, pointError, showTypeName`

Methods inherited from class org.makumba.MakumbaError
`printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DataDefinitionNotFoundError

    public DataDefinitionNotFoundError(String typeName,
                                       IOException e)

### DataDefinitionNotFoundError

    public DataDefinitionNotFoundError(String expl)

### DataDefinitionNotFoundError

    public DataDefinitionNotFoundError(String typeName,
                                       String name)

Package | Class | Deprecated
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Docs generated on 2009-02-25 14:20